package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.DEDataChg;
import com.sa.ibiz.demo.demo.service.dto.DEDataChgSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[DEDataChg] 服务对象接口
 */
public interface DEDataChgService extends IService<DEDataChg>{

		DEDataChg get(DEDataChg et);
	boolean update(DEDataChg et);
	boolean create(DEDataChg et);
	boolean getDraft(DEDataChg et);
	boolean remove(DEDataChg et);
	boolean checkKey(DEDataChg et);
    List<DEDataChg> listDefault(DEDataChgSearchFilter filter) ;
	Page<DEDataChg> searchDefault(DEDataChgSearchFilter filter);
	/**	 实体[DEDataChg] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }